VSTGUI: IController Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
IController Class Reference
New classes » Version 4.0

extension to IControlListener used by UIDescription More...

`#include <icontroller.h>`

Inheritance diagram for IController:

## Public Member Functions
virtual int32_t | getTagForName (UTF8StringPtr name, int32_t registeredTag) const
virtual IControlListener * | getControlListener (UTF8StringPtr controlTagName)
virtual CView * | createView (const UIAttributes &attributes, const IUIDescription *description)
virtual CView * | verifyView (CView *view, const UIAttributes &attributes, const IUIDescription *description)
virtual IController * | createSubController (UTF8StringPtr name, const IUIDescription *description)
Public Member Functions inherited from IControlListener
virtual | ~IControlListener () noexcept=default
virtual void | valueChanged (CControl *pControl)=0
virtual int32_t | controlModifierClicked (CControl *pControl, CButtonState button)
| return 1 if you want the control to not handle it, otherwise 0
virtual void | controlBeginEdit (CControl *pControl)
virtual void | controlEndEdit (CControl *pControl)
virtual void | controlTagWillChange (CControl *pControl)
virtual void | controlTagDidChange (CControl *pControl)

## Detailed Description

extension to IControlListener used by UIDescription

## Member Function Documentation

## ◆ createSubController()

virtual IController * createSubController | ( | UTF8StringPtr | name,
|  | const IUIDescription * | description )
| inlinevirtual

Reimplemented in DelegationController, and VST3Editor.

## ◆ createView()

virtual CView * createView | ( | const UIAttributes & | attributes,
|  | const IUIDescription * | description )
| inlinevirtual

Reimplemented in DelegationController, and VST3Editor.

## ◆ getControlListener()

virtual IControlListener * getControlListener | ( | UTF8StringPtr | controlTagName | ) |
| inlinevirtual

Reimplemented in DelegationController.

## ◆ getTagForName()

virtual int32_t getTagForName | ( | UTF8StringPtr | name,
|  | int32_t | registeredTag ) const
| inlinevirtual

Reimplemented in DelegationController.

## ◆ verifyView()

virtual CView * verifyView | ( | CView * | view,
|  | const UIAttributes & | attributes,
|  | const IUIDescription * | description )
| inlinevirtual

Reimplemented in DelegationController, GroupController, PadController, and VST3Editor.

The documentation for this class was generated from the following file:

- icontroller.h